Subject: [RFC PATCH 3/4] tty: serial: 8250 core: add runtime pm

From: [email-masked] (Sebastian Andrzej Siewior)
Date: Wed, 09 Jul 2014 18:32:51 +0200

On 07/09/2014 05:12 PM, Tony Lindgren wrote:
> And also please note that for runtime PM the wake-up events need
> to be always enabled, so the device_may_wakeup() checks should
> be only implemented for suspend and resume. I think I got that
> corrected for most part in omap-serial.c recently, but knowing
> that might reduce the confusion a bit :)

Ehm. I also added it to omap_8250_pm() as it is done in omap-serial (in
serial_omap_pm()). Should I get rid of it in the latter?

Sebastian